services:
  mariadb:
    image: mariadb:11
    environment:
      MARIADB_DATABASE: jellomator
      MARIADB_USER: jellomator
      MARIADB_PASSWORD: jellomator
      MARIADB_ROOT_PASSWORD: root
    ports:
      - "3306:3306"

  jellomator:
    build: .
    ports:
      - "6363:6363"
    depends_on:
      - mariadb
    environment:
      DB_HOST: mariadb
      DB_PORT: "3306"
      DB_USER: jellomator
      DB_PASSWORD: jellomator
      DB_NAME: jellomator
